Visual Studio Icon Visual Studio 2019 for Mac Product Family System Requirements


|Developer Community | System Requirements | Compatibility | Distributable Code | Documentation | Blogs | Servicing |


The minimum system requirements for the Visual Studio 2019 for Mac family of products is below. To install Visual Studio 2019 for Mac, see Visual Studio 2019 Downloads. For information about everything that's new in this release, see the Visual Studio 2019 for Mac release notes. See also Visual Studio 2019 for Mac Platform Targeting and Compatibility.

Visual Studio 2019 for Mac

The following products support the minimum system requirements below:

  • Visual Studio Enterprise 2019 for Mac.
  • Visual Studio Professional 2019 for Mac.
  • Visual Studio Community 2019 for Mac.

Supported Operating Systems

Visual Studio 2019 for Mac will install and run on the following operating systems:

  • macOS Catalina 10.15 *
  • macOS Mojave 10.14
  • macOS High Sierra 10.13

The latest version of Xcode 11 requires macOS Mojave 10.14, therefore Xamarin.iOS and Xamarin.Mac projects also require that minimum version.

* While Visual Studio 2019 for Mac version 8.3 has been tested to work on Catalina, macOS Catalina has known compatibility issues with multiple applications. Please report any issues you notice at Developer Community. Catalina does not suport older version of Visual Studio for Mac.

Hardware

  • 1.8 GHz or faster processor. Dual-core or better recommended.
  • 4 GB of RAM; 8 GB of RAM recommended (4 GB minimum if running on a virtual machine).
  • Hard disk required, by default: approx 5.6GB.

Supported Languages

Visual Studio for Mac is available in the following languages:

  • English
  • Chinese (Simplified)
  • Chinese (Traditional)
  • Czech
  • French
  • German
  • Italian
  • Japanese
  • Korean
  • Polish
  • Portuguese (Brazil)
  • Russian
  • Spanish
  • Turkish

Additional Requirements

  • .NET Core SDK 2.2 is required to use .NET Core projects and features. It can be downloaded and installed separately, and requires macOS Sierra 10.12 or higher.
  • Xamarin.Android requires the 64-bit Java Development Kit (JDK).
  • Xamarin.iOS requires Apple's Xcode IDE and iOS SDK.
  • Xamarin.Forms can target both Android and iOS platforms, given the requirements listed above.
Top of Page